Skip to main content
POST
/
qstash
/
set-plan
/
{id}
Set QStash Plan
curl --request POST \
  --url https://api.upstash.com/v2/qstash/set-plan/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_name": "paid"
}
'
"OK"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

QStash user ID

Body

application/json
plan_name
enum<string>
required

Target plan to upgrade to

Available options:
paid,
qstash_fixed_1m,
qstash_fixed_10m,
qstash_fixed_100m
Example:

"paid"

Response

200 - application/json

QStash plan changed successfully

The response is of type string.

Example:

"OK"